%define languageenglazy Tok Pisin
%define languagecode    tpi
%define lc_ctype        tpi_PG

Name:           hunspell-%{languagecode}
Version:        0.07
Release:        %mkrel 9
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPLv3+
Group:          System/Internationalization
URL:            https://extensions.services.openoffice.org/en/project/tok-pisin-spell-checker
Source0:        https://extensions.services.openoffice.org/e-files/4824/2/hunspell-tpi-%{version}.oxt

BuildArch:      noarch

Recommends:       hunspell

#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} < 1.0.3
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} < 1.0.3
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p dictionaries/tpi_PG.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p dictionaries/tpi_PG.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc dictionaries/README_tpi_PG.txt LICENSES-en.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.07-9.mga10
+ Revision: 2197176
- Mageia 10 Mass Rebuild

* Sat Mar 19 2022 umeabot <umeabot> 0.07-8.mga9
+ Revision: 1801400
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.07-7.mga8
+ Revision: 1491277
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.07-6.mga7
+ Revision: 1263005
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.07-5.mga6
+ Revision: 937948
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.07-4.mga5
+ Revision: 748473
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.07-3.mga5
+ Revision: 680320
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 0.07-2.mga4
+ Revision: 527758
- Mageia 4 Mass Rebuild

* Wed Jun 12 2013 tv <tv> 0.07-1.mga4
+ Revision: 442148
- new release

* Sat Jan 12 2013 umeabot <umeabot> 0.05-4.mga3
+ Revision: 353746
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Feb 15 2012 kamil <kamil> 0.05-3.mga2
+ Revision: 209219
- adapt .spec to the current policies

* Wed Feb 15 2012 kamil <kamil> 0.05-2.mga2
+ Revision: 209189
- adapt .spec for Mageia
- imported package hunspell-tpi


* Sun Mar 20 2011 Caolán McNamara <caolanm@redhat.com> - 0.05-1
- initial version
